## Apache Zeta Components Manual :: Docs For Class ezcWebdavPropFindRequest

### Webdav::ezcWebdavPropFindRequest

### Class ezcWebdavPropFindRequest

Abstract representation of a PROPFIND request.

An instance of this class represents the WebDAV PROPFIND request.

An object of this class may have 1 of 3 possible properties used. If none is used, it must be asumed that the $allProp property is set to true.

The $allProp property indicates, that a list of all available properties is required, including the value of each property. In contrast, the $propName property indicates, that only a list of property names, without property values, is requested. The $prop property is of type array (or null, if not set) and can contain a list of property names, which are requested to be returned, including their values.

Optional headers for this request are:

- Depth (default: ezcWebdavRequest::DEPTH_INFINITY)

Source for this file: /Webdav/src/requests/propfind.php

    ezcWebdavRequest
       |
       --ezcWebdavPropFindRequest

Version: | //autogen//

### Inherited Constants

From ezcWebdavRequest:
`ezcWebdavRequest::DEPTH_INFINITY` |
`ezcWebdavRequest::DEPTH_ONE` |
`ezcWebdavRequest::DEPTH_ZERO` | Constants for the 'Depth' headers and property fields.

### Properties

bool | read/write | `$allProp` Representing the <allprop /> XML element.
array(string)|null | read/write | `$prop` Representing the <prop /> XML element. Can contain a list of property names.
bool | read/write | `$propName` Representing the <propname /> XML element.

### Inherited Member Variables

From ezcWebdavRequest
protected | `ezcWebdavRequest::$headers`
protected | `ezcWebdavRequest::$properties`

### Method Summary

public void | `__construct( $requestUri )` Creates a new PROPFIND request object.
public void | `validateHeaders( )` Validates the headers set in this request.

### Inherited Methods

From ezcWebdavRequest
public void | `ezcWebdavRequest::__construct()` Creates a new request object.
public mixed | `ezcWebdavRequest::getHeader()` Returns the contents of a specific header.
public void | `ezcWebdavRequest::setHeader()` Sets a header to a specified value.
public void | `ezcWebdavRequest::setHeaders()` Sets a header to a specified value.
public void | `ezcWebdavRequest::validateHeaders()` Validates the headers set in this request.

### Methods

#### __construct

void __construct( string $requestUri )

Creates a new PROPFIND request object.

Sets the defaults for the optional headers for this request. The $requestUri idenitifie the resource for which properties will be searched.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$requestUri` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavRequest::__construct()` | Creates a new request object.

#### validateHeaders

void validateHeaders( )

Validates the headers set in this request.

This method validates that all required headers are available and that all feasible headers for this request have valid values.

##### Exceptions:

Type | Description
--- | ---
`ezcWebdavInvalidHeaderException` | if a header is present, but its content does not validate.
`ezcWebdavMissingHeaderException` | if a required header is missing.

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavRequest::validateHeaders()` | Validates the headers set in this request.

Documentation generated by phpDocumentor 1.4.3